s purposes</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='index, nofollow'/>
<link rel='stylesheet' type='text/css' href='/static/cgit.css'/>
<link rel='shortcut icon' href='//bananach.space/favicon.png'/>
<link rel='alternate' title='Atom feed' href='https://git.bananach.space/minetest.git/atom/.github/workflows/android.yml?h=gpcf' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='//bananach.space/bananach.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/minetest.git/'>minetest.git</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='89f3991351185b365ccd10525e74d35d7bb2da46'/><select name='h' onchange='this.form.submit();'>
<option value='gpcf' selected='selected'>gpcf</option>
<option value='lifo-fixes'>lifo-fixes</option>
<option value='release'>release</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>modified minetest for gpcfs purposes</td><td class='sub right'>gpcf</td></tr></table>
<table class='tabs'><tr><td>
<a href='/minetest.git/about/?h=gpcf'>about</a><a href='/minetest.git/?h=gpcf'>summary</a><a href='/minetest.git/refs/?h=gpcf&amp;id=89f3991351185b365ccd10525e74d35d7bb2da46'>refs</a><a href='/minetest.git/log/.github/workflows/android.yml?h=gpcf'>log</a><a class='active' href='/minetest.git/tree/.github/workflows/android.yml?h=gpcf&amp;id=89f3991351185b365ccd10525e74d35d7bb2da46'>tree</a><a href='/minetest.git/commit/.github/workflows/android.yml?h=gpcf&amp;id=89f3991351185b365ccd10525e74d35d7bb2da46'>commit</a><a href='/minetest.git/diff/.github/workflows/android.yml?h=gpcf&amp;id=89f3991351185b365ccd10525e74d35d7bb2da46'>diff</a></td><td class='form'><form class='right' method='get' action='/minetest.git/log/.github/workflows/android.yml'>
<input type='hidden' name='h' value='gpcf'/><input type='hidden' name='id' value='89f3991351185b365ccd10525e74d35d7bb2da46'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/minetest.git/tree/?h=gpcf&amp;id=89f3991351185b365ccd10525e74d35d7bb2da46'>root</a>/<a href='/minetest.git/tree/.github?h=gpcf&amp;id=89f3991351185b365ccd10525e74d35d7bb2da46'>.github</a>/<a href='/minetest.git/tree/.github/workflows?h=gpcf&amp;id=89f3991351185b365ccd10525e74d35d7bb2da46'>workflows</a>/<a href='/minetest.git/tree/.github/workflows/android.yml?h=gpcf&amp;id=89f3991351185b365ccd10525e74d35d7bb2da46'>android.yml</a></div><div class='content'>blob: 0fcfe2390f5014ac86b5e4056b9478b4781c462e (<a href='/minetest.git/plain/.github/workflows/android.yml?h=gpcf&amp;id=89f3991351185b365ccd10525e74d35d7bb2da46'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
</pre></td>
<td class='lines'><pre><code><span class="hl kwa">name:</span> android

<span class="hl slc"># build on c/cpp changes or workflow changes</span>
<span class="hl kwa">on:</span>
  <span class="hl kwa">push:</span>
    <span class="hl kwa">paths:</span>
      - <span class="hl str">&apos;lib/**.[ch]&apos;</span>
      - <span class="hl str">&apos;lib/**.cpp&apos;</span>
      - <span class="hl str">&apos;src/**.[ch]&apos;</span>
      - <span class="hl str">&apos;src/**.cpp&apos;</span>
      - <span class="hl str">&apos;build/android/**&apos;</span>
      - <span class="hl str">&apos;.github/workflows/android.yml&apos;</span>
  <span class="hl kwa">pull_request:</span>
    <span class="hl kwa">paths:</span>
      - <span class="hl str">&apos;lib/**.[ch]&apos;</span>
      - <span class="hl str">&apos;lib/**.cpp&apos;</span>
      - <span class="hl str">&apos;src/**.[ch]&apos;</span>
      - <span class="hl str">&apos;src/**.cpp&apos;</span>
      - <span class="hl str">&apos;build/android/**&apos;</span>
      - <span class="hl str">&apos;.github/workflows/android.yml&apos;</span>

<span class="hl kwa">jobs:</span>
  <span class="hl kwa">build:</span>
    runs-<span class="hl kwa">on:</span> ubuntu-<span class="hl num">18.04</span>
    <span class="hl kwa">steps:</span>
    - <span class="hl kwa">uses:</span> actions/checkout&#64;v<span class="hl num">2</span>
    - <span class="hl kwa">name:</span> Set up JDK <span class="hl num">1.8</span>
      <span class="hl kwa">uses:</span> actions/<span class="hl kwc">setup</span>-java&#64;v<span class="hl num">1</span>
      <span class="hl kwa">with:</span>
        java-<span class="hl kwa">version:</span> <span class="hl num">1.8</span>
    - <span class="hl kwa">name:</span> Build with Gradle
      <span class="hl kwa">run:</span> cd build/android; ./gradlew assemblerelease
    - <span class="hl kwa">name:</span> Save armeabi artifact
      <span class="hl kwa">uses:</span> actions/upload-artifact&#64;v<span class="hl num">2</span>
      <span class="hl kwa">with:</span>
        <span class="hl kwa">name:</span> Minetest-armeabi-v<span class="hl num">7</span>a.apk
        <span class="hl kwa">path:</span> build/android/app/build/outputs/apk/release/app-armeabi-v<span class="hl num">7</span>a-release-unsigned.apk
    - <span class="hl kwa">name:</span> Save arm<span class="hl num">64</span> artifact
      <span class="hl kwa">uses:</span> actions/upload-artifact&#64;v<span class="hl num">2</span>
      <span class="hl kwa">with:</span>
        <span class="hl kwa">name:</span> Minetest-arm<span class="hl num">64</span>-v<span class="hl num">8</span>a.apk
        <span class="hl kwa">path:</span> build/android/app/build/outputs/apk/release/app-arm<span class="hl num">64</span>-v<span class="hl num">8</span>a-release-unsigned.apk
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3</a> (<a href='https://git-scm.com/'>git 2.39.1</a>) at 2025-02-19 17:25:12 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
